
%define name rush2005
%define version 0.4.12c

%define release 4anssi

Name:		%name
Summary:	Rush 2005 American football game
Version:	%version
Release:	%release
Source0:	Rush2005-0.4.12.tar.bz2
URL:		http://rush2005.sourceforge.net/
Group:		Games/Sports
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	BSD
Packager:	Anssi Hannula <anssi.hannula@gmail.com>
Vendor:		Anssi Hannula <anssi.hannula@gmail.com>
BuildRequires:	SDL_mixer-devel SDL_image-devel ImageMagick

%description
Rush 2005 is a BSD-licensed project to create an American
football game for Windows and Linux in the tradition of
Tecmo Bowl and NFL Blitz, built using the cross-platform
SDL game programming library.

Game results are put in ~/Rush-results.html

%prep
%setup -q -n Rush2005-%version

# No Result.htmls in datadir
%__sed -i "s|\"\./Results\.html\"|strcat\(\(char \*\)getenv\(\"HOME\"\), \"/Rush2005-results\.html\"\)|" src/output.c
%__sed -i -r 's|src=\\\"\./graphics/r([12])\.bmp\\\"|src=\\\"Rush2005-r\1\.bmp\\\"|' src/output.c
%__sed -i -r "s|\"\./graphics/r([12])\.bmp\"|strcat\(\(char \*\)getenv\(\"HOME\"\), \"/Rush2005-r\1\.bmp\"\)|" src/output.c

#__sed -i "s|\"\./graphics|\"%{_gamesdatadir}/%{name}/graphics|" src/output.c

%build
pushd src

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%{__install} -m755 -D src/rush2005 %{buildroot}%{_gamesbindir}/rush2005.bin

cat > %{buildroot}%{_gamesbindir}/rush2005 << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec %{_gamesbindir}/rush2005.bin
EOF
%{__chmod} 0755 %{buildroot}%{_gamesbindir}/rush2005

%{__install} -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a bin/{plays,sounds,teams,graphics} %{buildroot}%{_gamesdatadir}/%{name}

%{__install} -d %{buildroot}%{_iconsdir}
convert bin/RUSH20~1.ico %{buildroot}%{_iconsdir}/%{name}.png

%{__install} -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Sports" title="Rush 2005" longtitle="American football game" needs="text"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(0755,root,root)
%{_gamesbindir}/rush2005
%{_gamesbindir}/rush2005.bin
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png

%changelog
* Thu Sep 15 2005 Anssi Hannula <anssi.hannula@gmail.com> 0.4.12c-1anssi
- initial package
